Bug 471750 - GPSSync doesn't display maps
GPSSync doesn't display maps
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kipi-plugins (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 12:25 EST by Russell Harrison
Modified: 2008-12-06 23:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to gpssync of the differences between the fedora 9 version of kipi-plugins and KDE 3 current svn to fix the google maps interface (7.80 KB, patch)
2008-11-15 12:25 EST, Russell Harrison
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 174353 None None None Never

  None (edit)
Description Russell Harrison 2008-11-15 12:25:35 EST
Created attachment 323694 [details]
Patch to gpssync of the differences between the fedora 9 version of kipi-plugins and KDE 3 current svn to fix the google maps interface

Description of problem:
GPSSync is broken in F9 because of some changes to the google API.  Currently it only displays gray tiles instead of the map tiles.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Select an image in digiKam
2. Image --> Geolocation --> Edit Coordinates...
  
Actual results:
Google maps interface shows with only gray tiles and doesn't responds at all.

Expected results:
Able to geotag the photo using the google maps interface.

Additional info:
I spoke with the maintainer of the plugin in IRC and he had already fixed the problem and checked the required changes into SVN for both the KDE 3 and KDE 4 branches.  I was able to generate a patch (attached) from the svn version for just these changes against the current rpm version of kipi-plugins.  I used it to rebuild the rpm and have tested the changes and verified that it works.  

The one gotcha is that the ~/.kde/share/config/kipirc will contain an invalid value for the GPSSync plugin if a user has used the plugin before the Google API changes and it will cause the initial load of the plugin to present the same behavior.  Removing the config file after installing the upgraded package allows the plugin to work.

In my case I had the setting "Map Type=G_HYBRID_TYPE" in my original file.  After the file was regenerated it uses the value "Map Type=G_NORMAL_MAP".  I assume editing the file would also fix the problem but is still an action that isn't something that should be handled by the package.
Comment 1 Rex Dieter 2008-11-15 14:26:04 EST
Does kipi-plugins-0.1.6 require patching too?
http://koji.fedoraproject.org/koji/buildinfo?buildID=69219
http://koji.fedoraproject.org/koji/buildinfo?buildID=69216

(an update is in the works).
Comment 2 Russell Harrison 2008-11-15 17:16:00 EST
It does if you're using the version released on 2008-10-12.  I used svn revision 880110 to generate my patch, which was checked in on 2008-11-04.

Its also unfortunate that the current release for kipi-plugins-0.2.0 is from the 2nd.  It will need the patch (or one for that branch) as well as the fix went in only two days later.
Comment 3 Rex Dieter 2008-11-20 11:09:17 EST
Dang, from what I can tell 0.1.6 missed the fix.  I'll see about patching.
Comment 4 Rex Dieter 2008-11-20 11:16:01 EST
OK, I'm blind... it has most of what you had... *except* for the mod to 
kipi-plugins-0.1.6/kipi-plugins/gpssync/gpseditdialog.cpp
-    d->worldMap->setMapType(config.readEntry("Map Type", QString("G_MAP_TYPE")));
+    d->worldMap->setMapType(config.readEntry("Map Type", QString("G_NORMAL_MAP")));
Comment 5 Rex Dieter 2008-11-20 12:33:48 EST
OK, patched in the latest gpseditdialog.cpp goodness from kde svn (which may fix the  Map Type= issue in kipirc), feedback welcome for pending update:
F-8: http://tinyurl.com/kipi-016-f8-1
F-9: http://tinyurl.com/kipi-016-f9-1
Comment 6 Fedora Update System 2008-11-21 05:59:42 EST
kphotoalbum-3.1.1-3.fc9, digikam-0.9.4-3.fc9, libkdcraw-0.1.6-2.fc9, kipi-plugins-0.1.6-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kphotoalbum digikam libkdcraw kipi-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9826
Comment 7 Fedora Update System 2008-11-21 06:01:14 EST
kipi-plugins-0.1.6-2.fc8, kphotoalbum-3.1.1-3.fc8, digikam-0.9.4-3.fc8, libkdcraw-0.1.6-2.fc8, libkexiv2-0.1.7-1.fc8, libkipi-0.1.6-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kipi-plugins kphotoalbum digikam libkdcraw libkexiv2 libkipi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9847
Comment 8 Russell Harrison 2008-11-21 18:07:32 EST
Should I clone this bug for F10?  The package there will need the patch as well.
Comment 9 Rex Dieter 2008-11-21 19:14:40 EST
Sure, please do, for tracking... 
afaik, another kde4 kipi-plugins release should come soon.
Comment 10 Fedora Update System 2008-12-06 23:12:46 EST
kphotoalbum-3.1.1-3.fc9, digikam-0.9.4-3.fc9, libkdcraw-0.1.6-2.fc9, kipi-plugins-0.1.6-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-06 23:26:29 EST
kipi-plugins-0.1.6-2.fc8, kphotoalbum-3.1.1-3.fc8, digikam-0.9.4-3.fc8, libkdcraw-0.1.6-2.fc8, libkexiv2-0.1.7-1.fc8, libkipi-0.1.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.